​

Get list of tree entity roles

GET
https://example.kaiten.ru/api/latest/tree-entity-roles
Headers
NameValue
Content-Typeapplication/json
Responses

200
DescriptionResponse typeExample
SuccessObject
Open
Response Attributes
NameTypeDescription
id

string

Role uid
created

string

Create date
updated

string

Last update timestamp
name

string

Role name
sort_order

number

Role sort order
new_permissions_default_value

boolean

When changing the permissions structure, grant rights to new actions by default
role_permissions

object

Schema
Group entity permissions
401
DescriptionResponse typeExample
Invalid tokenString
Open

A schema has not been defined for this response code.

403
DescriptionResponse typeExample
ForbidenResponse body does not exist

A schema has not been defined for this response code.

logo
Kaiten
If you have any questions or need help with integration feel free to write us at support@kaiten.io
  1  curl --request GET \
  2       --url 'https://example.kaiten.ru/api/latest/tree-entity-roles' \
  3       --header 'Accept: application/json' \
  4       --header 'Content-Type: application/json'
  5      

Response

ClickTry It!to start a request and see the response here!